## org.apache.xalan.xsltc.dom
Class DocumentCache

    java.lang.Object
      org.apache.xalan.xsltc.dom.DocumentCache

All Implemented Interfaces:
  DOMCache

    public final class DocumentCache

extends java.lang.Object
implements DOMCache

Author:
  Morten Jorgensen

Nested Class Summary
`class` `DocumentCache.CachedDocument`

Constructor Summary
`DocumentCache(int size)` DocumentCache constructor
`DocumentCache(int size, XSLTCDTMManager dtmManager)` DocumentCache constructor

Method Summary
`void` `getStatistics(java.io.PrintWriter out)` Outputs the cache statistics
`DOM` `retrieveDocument(java.lang.String baseURI, java.lang.String href, Translet trs)` Returns a document either by finding it in the cache or downloading it and putting it in the cache.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentCache

    public DocumentCache(int size)
                  throws org.xml.sax.SAXException

  DocumentCache constructor

  Throws:
    `org.xml.sax.SAXException`

### DocumentCache

    public DocumentCache(int size,
                         XSLTCDTMManager dtmManager)
                  throws org.xml.sax.SAXException

  DocumentCache constructor

  Throws:
    `org.xml.sax.SAXException`

Method Detail

### retrieveDocument

    public DOM retrieveDocument(java.lang.String baseURI,
                                java.lang.String href,
                                Translet trs)

  Returns a document either by finding it in the cache or downloading it and putting it in the cache.

  Specified by:
    `retrieveDocument` in interface `DOMCache`
  Parameters:
    `baseURI` - The base URI used by the document call.
    `href` - The href argument passed to the document function.
    `trs` - A reference to the translet requesting the document

### getStatistics

    public void getStatistics(java.io.PrintWriter out)

  Outputs the cache statistics

Copyright © 2005 Apache XML Project. All Rights Reserved.